#include <stdio.h>
#include <avr/io.h>
#include <util/delay.h>

#include "mydef.h"
#include "mylib.h"

FILE uart_stream = FDEV_SETUP_STREAM(uart_putc, uart_getc, _FDEV_SETUP_RW);

int main(void)
{   
   hw_init();
   uart_init();    
   
   stdout = stdin = &uart_stream;
 
   printf("Hello, World...\n\n");   
  
   while(1)  
    {
		/* relax */
    } 

 return(0); 
}


